%global momorel 1

Summary: A set of utilities to manage your TV viewing.
Name: xmltv
Version: 0.5.42
Release: %{momorel}m
Group: Applications/Multimedia
License: GPL
URL: http://membled.com/work/apps/xmltv/
Source0: http://jaist.dl.sourceforge.net/sourceforge/xmltv/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: xmltv-0.5.42-batchallyes.patch
Patch1: xmltv-0.5.42-newMakeMaker.patch
Patch2: xmltv-0.5.19-ja.patch
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl-Tk, perl
BuildRequires: perl-XML-Twig >= 3.09, perl-XML-Parser >= 2.34
BuildRequires: perl-XML-Writer
BuildRequires: perl-DateManip, perl-libwww-perl >= 5.65
BuildRequires: perl-HTML-Parser >= 3.34, perl-HTML-TableExtract >= 1.08
BuildRequires: perl-Tk-TableMatrix, perl-XML-Simple
BuildRequires: perl-HTML-Tree
BuildRequires: perl-Term-ProgressBar >= 2.00
BuildRequires: perl-Compress-Zlib
BuildRequires: perl-Lingua-EN-Numbers-Ordinate
BuildRequires: perl-Lingua-Preferred
Requires: perl-DateManip >= 5.41, perl-Term-ProgressBar >= 2.00
Requires: perl-HTML-Parser >= 3.34
Requires: perl-XMLTV >= %{version}-%{release}, xmltv-grabbers >= %{version}-%{release}, xmltv-gui >= %{version}-%{release}

%description
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

%package -n perl-XMLTV
Summary: Perl modules for managing your TV viewing.
Group: System Environment/Libraries
Requires: perl-XML-Twig >= 3.09, perl-DateManip >= 5.41, 

%description -n perl-XMLTV
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

This package contains the perl modules from xmltv.

%package grabbers
Summary: Backends for xmltv.
Group: Applications/Multimedia
Requires: perl-DateManip >= 5.41, perl-libwww-perl >= 5.65, perl-HTML-TableExtract >= 1.08, perl-Term-ProgressBar >= 2.00
Requires: perl-XMLTV >= %{version}-%{release}

%description grabbers
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

This package contains the backends (grabbers) for xmltv.

%package gui
Summary: Graphical frontends to xmltv.
Group: Applications/Multimedia
Requires: perl-DateManip >= 5.41, perl-libwww-perl >= 5.65
Requires: perl-XMLTV >= %{version}-%{release}

%description gui
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

This package contains graphical frontends to xmltv.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .batchallyes
%patch1 -p1 -b .newMakeMaker
%patch2 -p1 -b .ja

%build
perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr 
make

%install
rm -rf %{buildroot}
make install
rm -f %{buildroot}/%{perl_archlib}/perllocal.pod
rm -rf %{buildroot}/%{perl_sitearch}/auto/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}
%{_bindir}/tv_cat
%{_bindir}/tv_extractinfo_en
%{_bindir}/tv_grep
%{_bindir}/tv_imdb
%{_bindir}/tv_remove_some_overlapping
%{_bindir}/tv_sort
%{_bindir}/tv_split
%{_bindir}/tv_to_latex
%{_bindir}/tv_to_text
%{_bindir}/tv_to_potatoe
%{_mandir}/man1/tv_cat.1*
%{_mandir}/man1/tv_extractinfo_en.1*
%{_mandir}/man1/tv_grep.1*
%{_mandir}/man1/tv_imdb.1*
%{_mandir}/man1/tv_remove_some_overlapping.1*
%{_mandir}/man1/tv_sort.1*
%{_mandir}/man1/tv_split.1*
%{_mandir}/man1/tv_to_latex.1*
%{_mandir}/man1/tv_to_text.1*

%files -n perl-XMLTV
%defattr(-,root,root,-)
%{perl_sitelib}/XMLTV.pm
%{perl_sitelib}/XMLTV
%{_mandir}/man1/*
%exclude %{_mandir}/man1/tv_cat.1*
%exclude %{_mandir}/man1/tv_extractinfo_en.1*
%exclude %{_mandir}/man1/tv_grep.1*
%exclude %{_mandir}/man1/tv_imdb.1*
%exclude %{_mandir}/man1/tv_remove_some_overlapping.1*
%exclude %{_mandir}/man1/tv_sort.1*
%exclude %{_mandir}/man1/tv_split.1*
%exclude %{_mandir}/man1/tv_to_latex.1*
%exclude %{_mandir}/man1/tv_to_text.1*
%exclude %{_mandir}/man1/tv_grab_*.1*
%exclude %{_mandir}/man1/tv_check.1*
%{_mandir}/man3/*

%files grabbers
%defattr(-,root,root,-)
%{_bindir}/tv_grab_*
%{_mandir}/man1/tv_grab_*.1*
%dir %{_datadir}/xmltv
%{_datadir}/xmltv/tv_grab_*

%files gui
%defattr(-,root,root,-)
%{_bindir}/tv_check
%{_mandir}/man1/tv_check.1*

%changelog
* Sun Feb 26 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.5.42-1m)
- version up

* Fri Apr  8 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.5.32-2m)
- remove duplicated files

* Tue Feb  8 2005 Toru Hoshina <t@momonga-linux.org>
- (0.5.32-1m)
- ver up.

* Wed May 26 2004 Toru Hoshina <t@momonga-linux.org>
- (0.5.27-1m)
- import from paken.

* Fri Jan 31 2004 Takeru Komoriya <komoriya@paken.org>
- Repackaged based on xmltv-0.5.27-41.rhfc1.at
- added Japanese patch

* Sun Jan  4 2004 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 
- Update to 0.5.26.
- remove patch to try and save tv_grab_de.
- Update to 0.5.27.

* Thu Nov 20 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 
- Update to 0.5.23.

* Sun Nov  9 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 
- Updated to 0.5.22.

* Tue Nov  4 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 
- Updated to 0.5.21
- Split into subpackages as suggested by Risto Kankkunen.

* Mon Nov  3 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 
- Updated to 0.5.20.

* Sun Sep 28 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 
- Updated to 0.5.19.

* Sun Sep 14 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 
- Updated to 0.5.18.

* Wed Aug 27 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 
- Updated to 0.5.17.

* Sat Aug 16 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 
- Updated to 0.5.16.

* Wed Jul  2 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 
- Updated to 0.5.14.

* Tue Jul  1 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 
- Updated to 0.5.13.

* Mon Jun 30 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 
- Updated to 0.5.12.

* Mon Jun 23 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 
- Updated to 0.5.11.

* Sun Apr 27 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Update to 0.5.10.

* Mon Apr  7 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Updated to 0.5.9.
- Adapted to new macros.

* Fri Mar 14 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Fix dependeny to new perl-DateManip package.

* Mon Feb 10 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Upgraded to 0.5.7

* Sat Nov 30 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- add description
- make noarch

* Sat Nov 30 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- fixes reported by author (Ed Avis <ed@membled.com>).
- fix answers to perl Makefile.PL
- add license

* Mon Nov 25 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- upgrade to 0.5.3

* Wed Nov 13 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Initial build.


